org.springframework.util

## Interface PropertyPlaceholderHelper.PlaceholderResolver

Enclosing class:
  PropertyPlaceholderHelper

    public static interface PropertyPlaceholderHelper.PlaceholderResolver

Strategy interface used to resolve replacement values for placeholders contained in Strings.

See Also:
  `PropertyPlaceholderHelper`

### Method Summary

Methods
`String` `resolvePlaceholder(String placeholderName)` Resolves the supplied placeholder name into the replacement value.

### Method Detail

#### resolvePlaceholder

    String resolvePlaceholder(String placeholderName)

Resolves the supplied placeholder name into the replacement value.

Parameters:
  `placeholderName` - the name of the placeholder to resolve.
Returns:
  the replacement value or `null` if no replacement is to be made.